//frames 0 - 96
//#declare cl = clk
#switch (cl)
//"flying"

#range(0,.5)
#declare cp = <2-cl*4,3.5-cl*4,0>
//#declare cp = <0,1.5,0>
#declare ula = -20
#declare lla = 60
#declare rr = <0,0,0>
#declare rt = <0,2,0>
#break

//landing
#range (.5,.6)
#declare cp = <0,1.1+((cl-.6)*10)*((cl-.6)*10)*.4,0>


#include "legp.inc"
#declare rr = <0,0,0>
#declare rt = <0,2,0>
#break

//rolling
#range (.6,1.6)

#declare cp = <0,1.1,0>
#include "legp.inc"

//rock position
#declare rt = <.6-cl,2,0>
#declare rr = <0,0,(cl-.6)*114.59>

#break

//rolling off platform

#range (1.6,1.9)
#declare cp = <0,1.1,0>
#include "legp.inc"
#declare rr = <0,0,((cl-1.1)*(cl-1.1)+.75)*114.59>
#declare ar = rr- <0,0,114.59>
#declare rt = vrotate(<0,1,0>,ar)+<-1,1,0>
//#debug str(ar.z,0,-1)
#debug str(rt.y, 0,-1)
#break

//rotational velocity = 1.8 at fall and ball velocity is 1.8 also or 1.27279 in each dirrection
//it's position is at <-1.7071,1.7071,0> total rotation = 178.76

#range (1.9,2.38)
#declare cp = <0,1.1,0>
#include "legp.inc"
#declare rr = <0, 0 , 1.8*(cl-1.9)*114.59 + 159.28>
#declare rt = <-1.27179*(cl-1.9)-1.707, ((cl-1.9)+.7258)*-1*((cl-1.9)+.7258) +.52678564+1.707,0>
#debug str(rt.y, 0,-1)
#debug str(rt.x, 0,-1)
#break

//the rock hits the ground at <-2.318,.78,0> at a velocity of < -1.27279,-2.4116,0>
//and a time of 2.38
//crcket needs to be squished and rock needs to roll down hill

#range (2.38,50)

#declare cp = <0,1.1,0>
#include "legp.inc"
#declare ht = ((cl-2.38)*-1.27279) / 5-.43-  pow(cl-2.38,2)*.5
//#declare ht = ((cl-2.38)*-1.27279 / 5+.5)*((cl-2.38)*-1.27279 / 5+.5) -.25 -.43

//#declare ht = 0
//#declare rr = <0,0 , sqrt(1.62 + (ht/2.5)*(ht/2.5)) * -114.59 + 258.285>

#declare rt = <ht*5+ht/2.5/sqrt((ht/2.5)*(ht/2.5)+1),-ht * ht+1/sqrt((ht/2.5)*(ht/2.5)+1),0>

#declare rr = <0,0, sqrt((-2.318 - rt.x) * (-2.318 - rt.x) + (.8 - rt.y) * (.8 - rt.y)) * 114.59 + 258.285>

#debug str(rt.y, 0,-1)
#debug str(rt.x, 0,-1)

#break


#end



camera {

  location <-3,1.3,-3>
  look_at rt}

light_source { <-500, 500, -500> color rgb <1,1,1> }

#declare rock = sphere {<0,0,0>,1
pigment {granite scale .1}
}

#include "pedist.pov"
#include "cricket.inc"

object {rock
rotate rr
translate rt}


//#debug str(cp.y,0,-1)

object {crick
#if (cl <3.1)
//#if (cl<3.1)
scale .05
translate cp
rotate rr
translate rt
#else
rotate <53,12,64>
scale <.05,.001,.05>
translate <-4.7078,.177343-1,0>

#end
}



